Package org.apache.jasper.compiler

## Class ELInterpreterFactory.DefaultELInterpreter

- java.lang.Object
- - org.apache.jasper.compiler.ELInterpreterFactory.DefaultELInterpreter

All Implemented Interfaces:
  `ELInterpreter`

Enclosing class:
  ELInterpreterFactory

    public static class ELInterpreterFactory.DefaultELInterpreter
    extends Object
    implements ELInterpreter

### Constructor Summary

Constructors
`DefaultELInterpreter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `interpreterCall​(JspCompilationContext context, boolean isTagFile, String expression, Class<?> expectedType, String fnmapvar)` Returns the string representing the code that will be inserted into the servlet generated for JSP.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultELInterpreter

    public DefaultELInterpreter()

### Method Detail

#### interpreterCall

    public String interpreterCall​(JspCompilationContext context,
                                  boolean isTagFile,
                                  String expression,
                                  Class<?> expectedType,
                                  String fnmapvar)

Description copied from interface: `ELInterpreter`
Returns the string representing the code that will be inserted into the servlet generated for JSP. The default implementation creates a call to `PageContextImpl.proprietaryEvaluate( String, Class, jakarta.servlet.jsp.PageContext, org.apache.jasper.runtime.ProtectedFunctionMapper)` but other implementations may produce more optimised code.

Specified by:
  `interpreterCall` in interface `ELInterpreter`
Parameters:
  `context` - The compilation context
  `isTagFile` - `true` if in a tag file rather than a JSP
  `expression` - a String containing zero or more "${}" expressions
  `expectedType` - the expected type of the interpreted result
  `fnmapvar` - Variable pointing to a function map.
Returns:
  a String representing a call to the EL interpreter.